aboutsummaryrefslogtreecommitdiff
path: root/test/docker-in-docker/docker_with_on_create_command.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/docker-in-docker/docker_with_on_create_command.sh')
-rwxr-xr-xtest/docker-in-docker/docker_with_on_create_command.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/docker-in-docker/docker_with_on_create_command.sh b/test/docker-in-docker/docker_with_on_create_command.sh
new file mode 100755
index 0000000..131304a
--- /dev/null
+++ b/test/docker-in-docker/docker_with_on_create_command.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Feature specific tests
+check "version" docker --version
+check "docker-ps" bash -c "docker ps"
+
+check "docker-init-exists" bash -c "ls /usr/local/share/docker-init.sh"
+check "log-exists" bash -c "ls /tmp/dockerd.log"
+check "log-for-completion" bash -c "cat /tmp/dockerd.log | grep 'Daemon has completed initialization'"
+check "log-contents" bash -c "cat /tmp/dockerd.log | grep 'API listen on /var/run/docker.sock'"
+
+# Report result
+reportResults \ No newline at end of file